%global	sname	table_log

Summary:	Log data changes in a PostgreSQL table
Name:		postgresql-%{sname}
Version:	0.4.4
Release:	15%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/1387/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/tablelog
BuildRequires:	postgresql-devel >= 8.1
Requires:	postgresql-server >= 9.3, postgresql-server < 9.4

# There are two missing includes to be able to build against postgresql 9.2+
# ~> downstream (proposed upstream by (Jeff Janes)
Patch0:		postgresql-table_log-build-for-9.2+.patch

# Use "LANGUAGE C" or "LANGUAGE 'c'" rather than "LANGUAGE 'C'"
# ~> downstream (proposed upstream)
Patch1:		postgresql-table_log-unquote-lang-name.patch

%description
table_log is a set of functions to log changes on a table in PostgreSQL
and to restore the state of the table or a specific row on any time
in the past.

%prep
%setup -q -n %{sname}-%{version}
%patch0 -p1 -b .build_9.3
%patch1 -p1 -b .unqoute-lang-name

%build
make USE_PGXS=1 %{?_smp_mflags}

%install
install -d %{buildroot}%{_libdir}/pgsql/
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_docdir}/%{name}-%{version}
install -m 755 %{sname}.so %{buildroot}%{_libdir}/pgsql/%{sname}.so
install -m 755 %{sname}.sql %{buildroot}%{_datadir}/%{name}
install -m 755 %{sname}_init.sql %{buildroot}%{_datadir}/%{name}

%files
%doc README.%{sname}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{sname}*.sql
%{_libdir}/pgsql/%{sname}.so

%changelog
* Thu Sep 19 2013 Pavel Raiskup <praiskup@redhat.com> - 0.4.4-15
- re-build against PostgreSQL 9.3 (#1007857)
- cleanup, fedora-review fixes

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 03 2010 Robert Scheck <robert@fedoraproject.org> 0.4.4-9
- Remove wrong /sbin/ldconfig call in %%post and %%postun

* Wed Oct 28 2009 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-8.1
- Rebuilt against PostgreSQL 8.4. Fixes bugzilla #531414.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4.4-5
- Include unowned directories.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.4-4.1
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-3.1
- Rebuilt against PostgreSQL 8.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.4.4-3
- Rebuild for selinux ppc32 issue.

* Sun Jun 17 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-2
- Added Requires, per bugzilla review #244536 (Thanks Ruben)
- Renamed README file, per bugzilla review #244536

* Sat Jun 16 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-1
- Initial RPM packaging for Fedora
